RootHide 开发团队的 TrollStore 2 bootstrap 发布 beta 测试

就在上周,RootHide 开发团队表示,他们正在为 TrollStore 2 设备开发基于 Procursus 的引导程序,这将为运行 TrollStore 2 的 iPhone 和 iPad 带来类似越狱的环境。

自该公告发布以来,发生了很多事情。 ElleKit 开发人员 @eveiyneee 不仅在支持内核文件描述符 (kfd) 和 CoreTrust 错误的设备上执行了基于 ElleKit 的调整注入,而且 RootHide 开发团队还向公众提供了基于 TrollStore 2 的引导程序 beta 测试。

RootHide开发团队公开宣布这一点 beta TrollStore 引导程序。

引用 该项目的 GitHub 页面这是一个功能齐全的引导程序 iOS & iPadOS 14.0-17.0,它适用于配备 A8-A17 或 M1 和 M2 芯片的设备。 要使用引导程序,您需要以下内容: Mac,因为您需要使用 Xcode 开发工具才能使其在您的设备上运行。 完整详情如下:

要构建,您需要 MacOS,就像您需要 Xcode 命令一样 Line 工具。 如果你没有安装Xcode,可以通过命令安装 Line 通过执行来工具自己 xcode-select --install

1) 相应地更新你的理论

bash -c "$(curl -fsSL https://raw.githubusercontent.com/roothide/theos/master/bin/install-theos)"

Theos 的这个版本会不断更新。

2) 建造 Bootstrap.tipa

make package

3) 转移 Bootstrap.tipa 在……之外 ./packages/ 到您的设备并使用 TrollStore 安装它!

安装后,用户将在主屏幕上找到 Bootstrap 应用程序:

TrollStore 引导程序图标。TrollStore 引导程序图标。

您可以点击此应用程序来查找 Bootstrap 按钮,点击该按钮即可安装必要的应用程序和文件。 然后,您可以将源添加到 Sileo 或 Zebra 包管理器应用程序并安装兼容的调整。 您还需要在应用程序中启用AppEnabler功能以启用基于应用程序的优化注入。

请注意,并非所有越狱调整都与 TrollStore 2 兼容。 出于兼容性原因,许多越狱调整需要进行转换,并且许多调整根本不起作用,因为 RootHide 的 TrollStore 2 Bootstrap 不支持 SpringBoard 调整注入,只能调整注入到应用程序中。 这在未来可能会改变。

据了解,您需要自行承担执行所有这些操作的风险。 如果没有适当的越狱,您的设备损坏的风险似乎会增加。 多巴胺越狱首席开发人员 @opa334dev 似乎是 警告你 正如一位用户在 TrollStore 2 设备上使用 Crane 越狱调整时所说:

Opa334 警告不要对 TrollStore 2 使用 RootHide 引导程序。Opa334 警告不要对 TrollStore 2 使用 RootHide 引导程序。

看起来,以这种方式使用黑客会带来设备启动循环的风险。 因此,一般不建议使用此实用程序,除非问题可以解决或者您不知道自己在做什么并且了解风险。 此警告不仅适用于 Crane,还适用于以这种方式使用的所有越狱调整。

在越狱设备上使用越狱调整会附带额外的安全措施,例如如果出现问题,您的设备可以进入安全模式。 看来相同的保护措施不适用于 TrollStore 2 设备,这意味着如果出现问题,您更有可能受到问题的影响。

无论如何,看到人们试图在越狱不再从树上下雨的世界中扩大可能性仍然是非常酷的。 如果幸运的话,也许这样的黑客攻击和附加组件可以变得更加安全,并且公众不必太担心他们可能会用他们的设备做什么。

您很高兴看到事情的进展吗? 请在下面的评论部分告诉我们。